package com.yeejoin.amos.patrol.business.vo;

public class InputItemVo {
	
	private long id ; 
	/**
	 *  分类ID
	 */
	private long catalogId; 
	
	private String catalogName;

	private String typeName;
	
	/**
     * 创建者
     */
	private String createBy;

	/**
	 * 配置JSON
	 */
	private String dataJson; 

	/**
	 *  默认值
	 */
	private String defaultValue; 

	/**
	 * 扩展项json
	 */
	private String inputJson; 

	/**
	 *  是否多选
	 */
	private String isMultiline; 

	/**
	 * 是否必填
	 */
	private String isMust;  

	/**
	 * 是否评分
	 */
	private String isScore; 

	/**
	 *  检查项类型
	 */
	private String itemType; 

	/**
	 * 检查项名称
	 */
	private String name;  

	/**
	 * 排序编码
	 */
	private int orderNo;  

	/**
	 *  组织编码
	 */
	private String orgCode; 

	/**
	 * 拍照配置json
	 */
	private String pictureJson;

	
	private String remark;
	
	
	/**
	 * 是否删除：0表示未删除，1表示已删除
	 */
	private boolean isDelete;
	
	/**
	 * 巡检项等级
	 */
	private String level;
	
	/**
	 * 巡检项编号s
	 */
	private String itemNo;
	
	/**
	 * 风险描述
	 */
	private String riskDesc;

	/**
	 *管控形式
	 */
	private String inputClassify;

	/**
	 * 新加字段
	 *
	 * */
	//单位code
	private String bizOrgCode;
	//单位名称
	private String bizOrgName;

	private String keyPartsType;

	private String customType;

	private String facilitiesType;

	private String equipmentType;

	public String getFacilitiesType() {
		return facilitiesType;
	}

	public void setFacilitiesType(String facilitiesType) {
		this.facilitiesType = facilitiesType;
	}

	public String getEquipmentType() {
		return equipmentType;
	}

	public void setEquipmentType(String equipmentType) {
		this.equipmentType = equipmentType;
	}

	public String getKeyPartsType() {
		return keyPartsType;
	}

	public void setKeyPartsType(String keyPartsType) {
		this.keyPartsType = keyPartsType;
	}

	public String getCustomType() {
		return customType;
	}

	public void setCustomType(String customType) {
		this.customType = customType;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getBizOrgCode() {
		return bizOrgCode;
	}

	public void setBizOrgCode(String bizOrgCode) {
		this.bizOrgCode = bizOrgCode;
	}

	public String getBizOrgName() {
		return bizOrgName;
	}

	public void setBizOrgName(String bizOrgName) {
		this.bizOrgName = bizOrgName;
	}


	public String getItemNo() {
		return itemNo;
	}

	public void setItemNo(String itemNo) {
		this.itemNo = itemNo;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public long getCatalogId() {
		return catalogId;
	}

	public void setCatalogId(long catalogId) {
		this.catalogId = catalogId;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getDataJson() {
		return dataJson;
	}

	public void setDataJson(String dataJson) {
		this.dataJson = dataJson;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public String getInputJson() {
		return inputJson;
	}

	public void setInputJson(String inputJson) {
		this.inputJson = inputJson;
	}

	public String getIsMultiline() {
		return isMultiline;
	}

	public void setIsMultiline(String isMultiline) {
		this.isMultiline = isMultiline;
	}

	public String getIsMust() {
		return isMust;
	}

	public void setIsMust(String isMust) {
		this.isMust = isMust;
	}

	public String getIsScore() {
		return isScore;
	}

	public void setIsScore(String isScore) {
		this.isScore = isScore;
	}

	public String getItemType() {
		return itemType;
	}

	public void setItemType(String itemType) {
		this.itemType = itemType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(int orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPictureJson() {
		return pictureJson;
	}

	public void setPictureJson(String pictureJson) {
		this.pictureJson = pictureJson;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public boolean isDelete() {
		return isDelete;
	}

	public void setDelete(boolean isDelete) {
		this.isDelete = isDelete;
	}

	public String getCatalogName() {
		return catalogName;
	}

	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}

	public InputItemVo() {
		super();
		// TODO Auto-generated constructor stub
	}

	public String getRiskDesc() {
		return riskDesc;
	}

	public void setRiskDesc(String riskDesc) {
		this.riskDesc = riskDesc;
	}
	public String getInputClassify() {
		return inputClassify;
	}

	public void setInputClassify(String inputClassify) {
		this.inputClassify = inputClassify;
	}

}
